Criar campanha
curl --request POST \
--url https://gateway.crmspark.com.br/v1/campaigns \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"templateId": "<string>",
"cadence": 4503599627370496,
"description": "<string>",
"filters": [
{
"statements": [
{
"value": "<string>",
"value2": "<string>"
}
]
}
]
}
'import requests
url = "https://gateway.crmspark.com.br/v1/campaigns"
payload = {
"name": "<string>",
"templateId": "<string>",
"cadence": 4503599627370496,
"description": "<string>",
"filters": [{ "statements": [
{
"value": "<string>",
"value2": "<string>"
}
] }]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
templateId: '<string>',
cadence: 4503599627370496,
description: '<string>',
filters: [{statements: [{value: '<string>', value2: '<string>'}]}]
})
};
fetch('https://gateway.crmspark.com.br/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaignId": "<string>",
"status": "draft"
}Campaigns
Criar campanha
Cria uma campanha em rascunho. Use POST /v1/campaigns//start para iniciar o disparo.
POST
/
v1
/
campaigns
Criar campanha
Authorizations
Body
application/json
Nome único da campanha dentro da organização.
Required string length:
1 - 100Canal de envio da campanha. Define compatibilidade com templates oficiais e limites de cadência.
Available options:
whatsapp_lite, whatsapp, instagram ID semântico do modelo de mensagem cadastrado no Spark.
Mensagens por minuto (cadência). Ex.: 10 envia até 10 mensagens por minuto.
Required range:
1 <= x <= 9007199254740991Descrição opcional da campanha.
Maximum string length:
2000Grupos de filtros de público-alvo. Grupos são combinados com AND.
Show child attributes
Show child attributes
Was this page helpful?

